﻿$ErrorActionPreference = 'Stop'; #Stop on all errors

$packageName = 'automiserunner' #Unique name of the package
$installerType = 'EXE' #Installer is an executable. 
$url = 'http://downloads.finalbuilder.com/downloads/automise/500/AutomiseRunner500_1075.exe' #URL to download installer for current version. 
$silentArgs = '/SP /VERYSILENT /SUPPRESSMSGBOXES /CLOSEAPPLICATIONS' #Silent install arguments for our installer
$validExitCodes = @(0) #Valid return codes from the installer for success
$checksum = 'D562F1E2D971653F0EB4913F5CFEB36D7265BE55F888EEB4DDBE45CE95D797ED'

#Run chocolatey install package commandlet
Install-ChocolateyPackage "$packageName" "$installerType" "$silentArgs" "$url" -validExitCodes $validExitCodes -checksum $checksum -checksumType sha256